
VisIt - Bug # 1294: Crash with transparent geometry

Status: Pending Priority: High

Author: Brad Whitlock Category:

Created: 01/08/2013 Assigned to:

Updated: 01/15/2013 Due date:

Likelihood: 3 - Occasional

Severity: 4 - Crash / Wrong Results

Found in Version: 2.6.0

OS: All

Support Group: Any

Subject: Crash with transparent geometry

Description: I can get the viewer to crash when I set a glyphed Pseudocolor plot to transparent before drawing it.





1. Open noise.silo


2. Make a Pseudocolor plot of PointVar


3. Set the Pseudocolor glyph to Box and make the plot transparent


4. Click Apply


5. Click the Draw button. The viewer will crash.

History

01/08/2013 06:00 pm - Brad Whitlock

Line 1066 of avtTransparencyActor.C contains in_ds->SetSource(NULL);





When we're adding glyph geometry, the in_ds object seems like it is the output of a glyph filter that has not yet executed. If I replace 

in_ds->SetSource(NULL) with in_ds->Update() then I get the right transparent geometry. I don't understand the motivation for SetSource(NULL).

01/09/2013 04:12 pm - Kathleen Biagas

Need to look at [[https://visitbugs.ornl.gov/issues/1138]] for motivation behind the change.





At the time, I couldn't find another way to fix that bug than to break the connection between the mini-pipeline in avtTransparencyActor and the rest of 

the pipeline.





I wonder if this will still be an issue with newer VTK?





In the meantime, Brad's suggestion of perhaps updating the Glyph Mapper before sending to the Transparency actor should probably be tried.

01/15/2013 12:09 pm - Eric Brugger

- Status changed from New to Pending

- Priority changed from Normal to High

03/01/2013 1/1


